Bug 137363 - xorg config reports display of "1920x1440". should be "1800x1440"
xorg config reports display of "1920x1440". should be "1800x1440"
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 15:23 EDT by Timothy Sandel
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:55:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (2.83 KB, text/plain)
2004-10-29 17:36 EDT, Timothy Sandel
no flags Details
xorg.conf (2.92 KB, text/plain)
2004-11-01 14:00 EST, Timothy Sandel
no flags Details

  None (edit)
Description Timothy Sandel 2004-10-27 15:23:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
xorg improperly gives a display of "1920x1440".  Should be "1800x1440".  Selecting 1920x1440 gives me 1800x1440 display however.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1.12

How reproducible:
Always

Steps to Reproduce:
1. Install fc3test3.
2. On the display settings screen you will get a selection of 1920x1440 along with 1600x1200, 1400x1050, etc.
3.
    

Actual Results:  1920x1440 in SubSection "Display" in xorg.conf.

Expected Results:  1800x1440

Additional info:
Comment 1 Timothy Sandel 2004-10-27 15:31:56 EDT
Actually, this is fc3 rc2 install, not t3.
Comment 2 Mike A. Harris 2004-10-29 04:36:03 EDT
Not sure why this is filed against xorg-x11, as the X server just
does what it is told to do from the config file.  The Red Hat
system-config-display config tool is what generates the xorg.conf
file and displays the standard subset of available modes on the
screen.

1920x1440 is a standard 4:3 aspect ratio mode, which is why it is
listed in the list of video modes, however 1800x1440 is not a
standard mode, which is probably why it is not displayed.

We do not generally list non-standard video modes such as 1800x1440
in the mode list dialog.

Reassigning to correct component "system-config-display" for
review.
Comment 3 Timothy Sandel 2004-10-29 07:26:14 EDT
Some clarification:

I selected 1920x1440 in the display setup.  I'm getting 1800x1440
(112.5kHz/75Hz)
video card: ATI 8500 (64mb)
monitor:    Dell P1110 (trinitron 21")
Comment 4 Paul Nasrat 2004-10-29 07:35:13 EDT
Can you attach your xorg.conf and paste in the output of running as root

kudzu -p -b ddc

please
Comment 5 Timothy Sandel 2004-10-29 17:36:50 EDT
Created attachment 105965 [details]
xorg.conf

xorg.conf
Comment 6 Timothy Sandel 2004-10-29 17:38:42 EDT
-
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "ATI Technologies Inc. R200"
mem: 65536
-
class: MONITOR
bus: DDC
detached: 0
driver: unknown
desc: "Dell P1110"
id: DEL50ab
horizSyncMin: 30
horizSyncMax: 121
vertRefreshMin: 48
vertRefreshMax: 160
mode: 1024x768
mode: 800x600
mode: 640x480
mode: 1152x864
mode: 1600x1200
mode: 1600x1200
mode: 1800x1440
Comment 7 Paul Nasrat 2004-10-29 18:04:43 EDT
1800x1440 isn't in xf86config.XF86SupportedResolutions() which is used
by rhpl.xhwstate which we use in system-config-display.  However DDC
shows your monitor supports it but not the resolution we mistakenly set

Can you add it to 

/usr/lib/python2.3/site-packages/xf86config.py line 19

"1680x1050", "1800x1440", "1900x1200", ...

and run system-config-display --reconfig

and attach the resulting xorg.conf and feedback on how it works please.
Comment 8 Timothy Sandel 2004-11-01 13:59:00 EST
def XF86SupportedResolutions():
    return [  "640x480",   "800x480",   "800x600",  "1024x600",
"1024x768",
             "1152x768",  "1152x864",  "1280x800",  "1280x960",
            "1280x1024", "1400x1050",  "1440x900", "1600x1200",
            "1680x1050", "1800x1440", "1900x1200", "1920x1200",
"1920x1440", "2048x1536"]

Added the 1800x1440 to xf86config.py and ran system-config-display
--reconfig.  The pull down for resolution shows
640x480 800x600 1024x768 1152x864 1280x960 1280x1024 1400x1050
1600x1200 and 1920x1440.  As before I selected 1920x1440 and it gives
me 1800x1440.
Comment 9 Timothy Sandel 2004-11-01 14:00:04 EST
Created attachment 106035 [details]
xorg.conf
Comment 10 Matthew Miller 2006-07-10 16:28:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 11 John Thacker 2006-10-30 10:55:57 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.